## cascading.tap
Class TempHfs

    java.lang.Object
      cascading.tap.Tap
          cascading.tap.Hfs
              cascading.tap.TempHfs

All Implemented Interfaces:
  FlowElement, Serializable

    public class TempHfs

extends Hfs

Class TempHfs creates a temporary `Tap` instance for use internally.

See Also:
  Serialized Form

Constructor Summary
`TempHfs(String name)` Constructor TempHfs creates a new TempHfs instance.
`TempHfs(String name, boolean isNull)` Constructor TempHfs creates a new TempHfs instance.
`TempHfs(String name, Class schemeClass)` Constructor TempDfs creates a new TempDfs instance.

Method Summary
`boolean` `deletePath(JobConf conf)` Method deletePath deletes the resource represented by this instance.
`boolean` `equals(Object object)`
`Class` `getSchemeClass()`
`URI` `getURIScheme(JobConf jobConf)`
`int` `hashCode()`
`boolean` `isWriteDirect()` Method isWriteDirect returns true if this instances `TupleEntryCollector` should be used to sink values.
`Scope` `outgoingScopeFor(Set<Scope> incoming)` Method outgoingScopeFor returns the Scope this FlowElement hands off to the next FlowElement.
`void` `sinkInit(JobConf conf)` Method sinkInit initializes this instance as a sink.
`void` `sourceInit(JobConf conf)` Method sourceInit initializes this instance as a source.
`String` `toString()`

Methods inherited from class cascading.tap.Hfs
`getDefaultFileSystem, getDefaultFileSystemURIScheme, getFileSystem, getPath, getPathModified, getQualifiedPath, getTemporaryDirectory, getTempPath, makeDirs, makeTemporaryPathDir, makeURIScheme, openForRead, openForWrite, pathExists, setStringPath, setTemporaryDirectory, setUriScheme`

Methods inherited from class cascading.tap.Tap
`flowInit, getIdentifier, getScheme, getSinkFields, getSinkMode, getSourceFields, getTrace, isAppend, isEquivalentTo, isKeep, isReplace, isSink, isSource, isUpdate, resolveFields, resolveIncomingOperationFields, setScheme, setWriteDirect, sink, source, taps`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TempHfs

    public TempHfs(String name)

  Constructor TempHfs creates a new TempHfs instance.

  Parameters:
    `name` - of type String

### TempHfs

    public TempHfs(String name,
                   boolean isNull)

  Constructor TempHfs creates a new TempHfs instance.

  Parameters:
    `name` - of type String
    `isNull` - of type boolean

### TempHfs

    public TempHfs(String name,
                   Class schemeClass)

  Constructor TempDfs creates a new TempDfs instance.

  Parameters:
    `name` - of type String

Method Detail

### getSchemeClass

    public Class getSchemeClass()

### getURIScheme

    public URI getURIScheme(JobConf jobConf)
                     throws IOException

  Overrides:
    `getURIScheme` in class `Hfs`
  Throws:
    `IOException`

### outgoingScopeFor

    public Scope outgoingScopeFor(Set<Scope> incoming)

  Description copied from interface: `FlowElement`
  Method outgoingScopeFor returns the Scope this FlowElement hands off to the next FlowElement.

  Specified by:
    `outgoingScopeFor` in interface `FlowElement`
  Overrides:
    `outgoingScopeFor` in class `Tap`
  Parameters:
    `incoming` - of type Set<Scope>
  Returns:
    Scope
  See Also:
    `FlowElement.outgoingScopeFor(Set)`

### sourceInit

    public void sourceInit(JobConf conf)
                    throws IOException

  Description copied from class: `Tap`
  Method sourceInit initializes this instance as a source.

  This method maybe called more than once if this Tap instance is used outside the scope of a `Flow` instance or if it participates in multiple times in a given Flow or across different Flows in a `Cascade`.

  In the context of a Flow, it will be called after `FlowListener.onStarting(cascading.flow.Flow)`

  Overrides:
    `sourceInit` in class `Hfs`
  Parameters:
    `conf` - of type JobConf
  Throws:
    `IOException` - on resource initialization failure.

### sinkInit

    public void sinkInit(JobConf conf)
                  throws IOException

  Description copied from class: `Tap`
  Method sinkInit initializes this instance as a sink.

  This method maybe called more than once if this Tap instance is used outside the scope of a `Flow` instance or if it participates in multiple times in a given Flow or across different Flows in a `Cascade`.

  Note this method will be called in context of this Tap being used as a traditional 'sink' and as a 'trap'.

  In the context of a Flow, it will be called after `FlowListener.onStarting(cascading.flow.Flow)`

  Overrides:
    `sinkInit` in class `Hfs`
  Parameters:
    `conf` - of type JobConf
  Throws:
    `IOException` - on resource initialization failure.

### isWriteDirect

    public boolean isWriteDirect()

  Description copied from class: `Tap`
  Method isWriteDirect returns true if this instances `TupleEntryCollector` should be used to sink values.

  Overrides:
    `isWriteDirect` in class `Hfs`
  Returns:
    the writeDirect (type boolean) of this Tap object.

### deletePath

    public boolean deletePath(JobConf conf)
                       throws IOException

  Description copied from class: `Tap`
  Method deletePath deletes the resource represented by this instance.

  Overrides:
    `deletePath` in class `Hfs`
  Parameters:
    `conf` - of type JobConf
  Returns:
    boolean
  Throws:
    `IOException` - when the resource cannot be deleted

### toString

    public String toString()

  Overrides:
    `toString` in class `Hfs`
  See Also:
    `Object.toString()`

### equals

    public boolean equals(Object object)

  Overrides:
    `equals` in class `Hfs`
  See Also:
    `Tap.equals(Object)`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Hfs`
  See Also:
    `Tap.hashCode()`

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.